<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995-7 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>16.10: File Operations
(<TT>remove</TT>, <TT>rename</TT>, etc.)</title>
<link href="sx2i.html" rev=precedes>
<link href="sx2k.html" rel=precedes>
<link href="sx2.html" rev=subdocument>
</head>
<body>
<H2>16.10: File Operations
(<TT>remove</TT>, <TT>rename</TT>, etc.)</H2>

<p>You can delete a file
by calling
<pre>
	int remove(char *filename)
</pre>
</p><p>You can rename a file by calling
<pre>
	int rename(char *oldname, char *newname)
</pre>
Both of these functions return zero if they succeed
and a nonzero value if they fail.
</p><p>There are no standard C functions for dealing with directories 
(e.g. listing or creating them).
On many systems,
you will find functions <TT>mkdir</TT> for making directories
and <TT>rmdir</TT> for removing them,
and a suite of functions
<TT>opendir</TT>, <TT>readdir</TT>, and <TT>closedir</TT>
for listing them.
Since these functions aren't standard, however,
we won't talk about them here.

(They exist on most Unix systems,
but they're not standard under MS-DOS or Macintosh compilers,
although you can find implementations on the net.)
</p><hr>
<p>
Read sequentially:
<a href="sx2i.html" rev=precedes>prev</a>
<a href="sx2k.html" rel=precedes>next</a>
<a href="sx2.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1996-1999
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
